package com.ss.android.ugc.aweme.experiment;

import X.0QI;
import X.AnonymousClass7m4;
import X.AnonymousClass7m5;
import X.C04537he;
import X.Crj;
import com.bytedance.covode.number.Covode;

public final class ViewStubOptExperiment implements 0QI {
    public static final AnonymousClass7m5 Companion = new AnonymousClass7m5((byte) 0);
    public static final boolean DEFAULT_VALUE = false;
    public static final String KEY = "feed_viewstub_opt";
    public static boolean expVal;
    public static boolean hasInit;
    public final boolean DEFAULT;
    public final Crj coldBootExpVal$delegate = C04537he.LIZ(AnonymousClass7m4.LIZ);

    static {
        Covode.recordClassIndex(74372);
    }

    private final boolean getColdBootExpVal() {
        return ((Boolean) this.coldBootExpVal$delegate.getValue()).booleanValue();
    }

    public final boolean getDEFAULT() {
        return this.DEFAULT;
    }

    public final boolean hit() {
        return getColdBootExpVal();
    }
}
